;; php-mode
(autoload 'php-mode "php-mode" "PHP Mode" t)
(setq auto-mode-alist
	  (append
	   '(
		 ("\\.phtml$" . php-mode)
		 ("\\.php[34]?$" . php-mode)
		 ("\\.p?inc$" . php-mode)
		 ("\\.p[34]$" . php-mode)
		 )
		 auto-mode-alist))
(add-hook 'php-mode-hook
		  '(lambda ()
			 (define-key php-mode-map "\C-m" 'newline-and-indent)
			 (define-key php-mode-map "\C-j" 'newline)
			 (c-set-style "K&R")
 			 (setq indent-tabs-mode t
				   tab-width 4
				   c-basic-offset 4
				   php-mode-force-pear nil
				   php-search-url "http://www.php.net/search.php?lang=ja&show=quickref&pattern="
				   php-manual-url "http://www.php.net/manual/ja/")
			 ))
;; end of php-mode setting
